function isType<T>(type:T) {
	return function(obj) {
		return Object.prototype.toString.call(obj) === "[object " + type + "]";
	}
}

export let isFunction = (obj) =>  {
	return isType("Function")(obj);
}
